Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
eselect python und python2.5
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2225
Location: Germany

PostPosted: Tue Jan 26, 2010 8:58 pm    Post subject: eselect python und python2.5 Reply with quote

Hallo,

ich habe es noch nicht ganz durchschaut wie und warum man mit eselect python die Versionen "umschalten" kann, wenn die Anwendungen dann trotzdem nicht mehr gescheit laufen. Z.b. weil die Module nicht mehr zur Version passen. Vielleicht ist das jetzt auch nur so weil python 2.6 nicht komplett abwärts-kompatibel ist?

Aber ich habe ein (proprietäres) Programm das (noch) nicht sauber läuft mit Python 2.6:

Code:
The popen2 module is deprecated.  Use the subprocess module.


Gut dachte ich mir, das ich es einfach mit python2.5 starte oder einfach als User mittels eselect set python $NR die Version verstelle. Beides klappt aber nicht. Also hab ich zum Ausprobieren als Root via eselect auf die Version auf 2.5 umgestellt.

Damit wollte ich kurzfristig die Version verstellen um an diesem popen2 Problem vorbei zu kommen. Leider fehlt dann das Modul pygtk.

Code:
import pygtk
ImportError: No module named pygtk


Wie gehe ich denn jetzt am besten mit diesem Problem um?

Ich möchte nicht wieder komplett auf Python 2.5 "downgraden", da emergen und diverse andere Programme damals nach einem "aufstieg" riefen.

Wenn euch da jetzt auch keine Lösung bekannt ist werde ich einfach warten bis der Hersteller sein Programm Python 2.6 tauglich macht.

Grüße
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Wed Jan 27, 2010 12:54 pm    Post subject: Reply with quote

Zum einen: Die Fehlermeldung ist ja nicht kritisch. Wenn das alles ist, was kommt, denn ist es ok.

Und zum anderen: Teilweise unterstützen die Ebuilds bereits für verschiedene Python-Versionen kompiliert zu werden. Aber ich glaube, dass ist noch nicht Allgemeingut.
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2225
Location: Germany

PostPosted: Thu Jan 28, 2010 4:27 pm    Post subject: Reply with quote

Vielen Dank Necoro,

für die Informationen, dann werde ich wohl einfach abwarten. Die Anwendung funktioniert noch nicht so wie erwartet, aber das scheint wohl andere Gründe zu haben. Bis auf die Warnung gibt es auch keine weiteren Fehlermeldungen.

Grüße
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum